Skip to main content
`Ctrl`+`K`

# MatSTRUMPACKGetCompMinSepSize

Get STRUMPACK https://portal.nersc.gov/project/sparse/strumpack/master minimum separator size for low-rank approximation

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatSTRUMPACKGetCompMinSepSize(Mat F, PetscInt *min_sep_size)

Logically Collective

## Input Parameters

- F - the factored matrix obtained by calling `MatGetFactor()` from PETSc-STRUMPACK interface

## Output Parameter

- min_sep_size - minimum dense matrix size for low-rank approximation

## See Also

`MATSOLVERSTRUMPACK`, `MatGetFactor()`, `MatSTRUMPACKSetCompMinSepSize()`

## Level

intermediate

## Location

src/mat/impls/aij/mpi/strumpack/strumpack.c

## Implementations

MatSTRUMPACKGetCompMinSepSize_STRUMPACK() in src/mat/impls/aij/mpi/strumpack/strumpack.c

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages